package gui.initParameters;

import javax.swing.BorderFactory;
import javax.swing.JButton;
import javax.swing.JCheckBox;
import javax.swing.JPanel;

import net.miginfocom.swing.MigLayout;

@SuppressWarnings("serial")
public class PnlRegionPosition extends JPanel {

	private String layoutDebug;
	
	private JButton btnSetPosition;
	
	private JCheckBox cbShow;
	
	public PnlRegionPosition(String layoutDebug) {
		super();
		setLayoutDebug(layoutDebug);
		
		createWidgets();
		addWidgets();
		addListener();
	}
	
	public void addListener() {
		
	}
	
	public void addWidgets() {
		MigLayout layout = new MigLayout(layoutDebug);
		setLayout(layout);
		
		add(cbShow, "pushx, growx");
		add(btnSetPosition, "pushx, growx");
	}
	
	public void createWidgets() {
		setBorder(BorderFactory.createTitledBorder("Position"));
		
		btnSetPosition = new JButton("Set");
		
		cbShow = new JCheckBox("Show");
	}

	public String getLayoutDebug() {
		return layoutDebug;
	}

	public void setLayoutDebug(String layoutDebug) {
		this.layoutDebug = layoutDebug;
	}
}