package helper;

import regions.type.RegionType;

public class TypeConverter {

	public static RegionType stringToType(String typeString) {
		typeString = typeString.toLowerCase();
		typeString = typeString.replace("_", "-");
		RegionType type = RegionType.IMAGE;
		
		if (typeString.equals("paragraph")) {
			type= RegionType.PARAGRAPH;
		} else if (typeString.equals("image")) {
			type= RegionType.IMAGE;
		} else if (typeString.equals("heading")) {
			type= RegionType.HEADING;
		} else if (typeString.equals("caption")) {
			type= RegionType.CAPTION;
		} else if (typeString.equals("marginalia")) {
			type= RegionType.MARGINALIA;
		} else if (typeString.equals("page-number") || typeString.equals("pagenumber")) {
			type= RegionType.PAGE_NUMBER;
		} else if (typeString.equals("ignore")) {
			type= RegionType.IGNORE;
		}
		
		return type;
	}
}
