package segmentation;

import java.util.ArrayList;

import org.opencv.core.MatOfPoint;

import regions.type.RegionType;

public class RegionList {

	private RegionType type;
	private ArrayList<MatOfPoint> regions;
	
	public RegionList(RegionType type, ArrayList<MatOfPoint> regions) {
		setType(type);
		setRegions(regions);
	}

	public RegionType getType() {
		return type;
	}

	public void setType(RegionType type) {
		this.type = type;
	}

	public ArrayList<MatOfPoint> getRegions() {
		return regions;
	}

	public void setRegions(ArrayList<MatOfPoint> regions) {
		this.regions = regions;
	}	
}